Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst] ERROR: dev-perl/gtk2-perl-1.242.0 failed (compil...
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
g-moll
n00b
n00b


Joined: 22 May 2012
Posts: 14

PostPosted: Sat Jun 02, 2012 10:38 pm    Post subject: [gelöst] ERROR: dev-perl/gtk2-perl-1.242.0 failed (compil... Reply with quote

Ich habe Probleme bei der Installation von gmusicplayer. Bei der Installation von dem Paket gtk2-perl-1.242.0 tritt folgender Fehler auf:
Code:
make: *** [build/podindex] Fehler 25
 * ERROR: dev-perl/gtk2-perl-1.242.0 failed (compile phase):
 *   emake failed


emerge --info =dev-perl/gtk2-perl-1.242.0 ergibt
Code:
Portage 2.1.10.49 (default/linux/amd64/10.0/desktop/gnome, gcc-4.5.3, glibc-2.14.1-r3, 3.3.7 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.3.7-x86_64-Intel-R-_Core-TM-_i5_CPU_750_@_2.67GHz-with-gentoo-2.0.3
Timestamp of tree: Tue, 22 May 2012 22:45:01 +0000
app-shells/bash:          4.2_p20
dev-lang/python:          2.7.3-r1, 3.2.3
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.5.3-r2
sys-devel/gcc-config:     1.5-r2
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 3.1 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r3
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -mtune=generic -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=core2 -mtune=generic -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://gd.tuwien.ac.at/opsys/linux/gentoo/"
LANG="de_DE"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.at.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli colord consolekit cracklib crypt css cups cxx dbus dri dts dvd dvdr eds emboss encode evo exif fam firefox flac fortran gdbm gif gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk iconv ipv6 jpeg lcms ldap libnotify mad mms mmx mng modules mp3 mp4 mpeg mplayer mudflap multilib nautilus ncurses netboot nls nptl offensive ogg opengl openmp pam pango pcre pdf png policykit ppds pppd pulseaudio qt3support readline samba scanner sdl session smp socialweb spell sse sse2 ssl startup-notification svg tcpd tiff truetype udev udisks unicode upower usb vcd videos vorbis wxwidgets x264 xcb xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

hat jemand eine ahnung wo das problem liegt?


Last edited by g-moll on Thu Jun 07, 2012 9:44 am; edited 1 time in total
Back to top
View user's profile Send private message
fuchur
Guru
Guru


Joined: 12 Aug 2003
Posts: 578

PostPosted: Sat Jun 02, 2012 11:11 pm    Post subject: Re: ERROR: dev-perl/gtk2-perl-1.242.0 failed (compile phase) Reply with quote

Hi
g-moll wrote:
Ich habe Probleme bei der Installation von gmusicplayer. Bei der Installation von dem Paket gtk2-perl-1.242.0 tritt folgender Fehler auf:
Code:
make: *** [build/podindex] Fehler 25
 * ERROR: dev-perl/gtk2-perl-1.242.0 failed (compile phase):
 *   emake failed
Das wird zu wenig sein. Poste mal so die ca. letzten 50 lines.

MfG
Back to top
View user's profile Send private message
g-moll
n00b
n00b


Joined: 22 May 2012
Posts: 14

PostPosted: Sun Jun 03, 2012 9:52 am    Post subject: Reply with quote

Aja. Da könntest du Recht haben. Sry. ;)

Code:

[ CC build/constants.c ]
cp Gtk2.bs blib/arch/auto/Gtk2/Gtk2.bs
chmod 644 blib/arch/auto/Gtk2/Gtk2.bs
rm -f blib/arch/auto/Gtk2/Gtk2.so
[ LD blib/arch/auto/Gtk2/Gtk2.so ]
chmod 755 blib/arch/auto/Gtk2/Gtk2.so
Creating stock items POD...
Creating enum POD...
Malformed UTF-8 character (unexpected end of string) in length at tools/podifystockitems.pl line 52.
Malformed UTF-8 character (unexpected end of string) in length at tools/podifystockitems.pl line 52.
Malformed UTF-8 character (unexpected end of string) in length at tools/podifystockitems.pl line 52.
Malformed UTF-8 character (unexpected end of string) in length at tools/podifystockitems.pl line 52.
Malformed UTF-8 character (unexpected end of string) in length at tools/podifystockitems.pl line 52.
Malformed UTF-8 character (unexpected end of string) in length at tools/podifystockitems.pl line 52.
Generating POD...
Loaded 9 extra types from doctypes
Loaded 2 extra types from /usr/lib64/perl5/vendor_perl/5.12.4/x86_64-linux/Pango/Install/doctypes
Loaded 8 extra types from /usr/lib64/perl5/vendor_perl/5.12.4/x86_64-linux/Glib/Install/doctypes
Loaded 7 extra types from /usr/lib64/perl5/vendor_perl/5.12.4/x86_64-linux/Cairo/Install/doctypes
Malformed UTF-8 character (fatal) at /usr/lib64/perl5/5.12.4/x86_64-linux/Data/Dumper.pm line 682.
make: *** [build/podindex] Fehler 25
 * ERROR: dev-perl/gtk2-perl-1.242.0 failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of 'emerge --info =dev-perl/gtk2-perl-1.242.0',
 * the complete build log and the output of 'emerge -pqv =dev-perl/gtk2-perl-1.242.0'.
 * The complete build log is located at '/var/tmp/portage/dev-perl/gtk2-perl-1.242.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-perl/gtk2-perl-1.242.0/temp/environment'.
 * S: '/var/tmp/portage/dev-perl/gtk2-perl-1.242.0/work/Gtk2-1.242'

>>> Failed to emerge dev-perl/gtk2-perl-1.242.0, Log file:

>>>  '/var/tmp/portage/dev-perl/gtk2-perl-1.242.0/temp/build.log'

 * Messages for package dev-perl/gtk2-perl-1.242.0:

 * ERROR: dev-perl/gtk2-perl-1.242.0 failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of 'emerge --info =dev-perl/gtk2-perl-1.242.0',
 * the complete build log and the output of 'emerge -pqv =dev-perl/gtk2-perl-1.242.0'.
 * The complete build log is located at '/var/tmp/portage/dev-perl/gtk2-perl-1.242.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-perl/gtk2-perl-1.242.0/temp/environment'.
 * S: '/var/tmp/portage/dev-perl/gtk2-perl-1.242.0/work/Gtk2-1.242'

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.
Back to top
View user's profile Send private message
g-moll
n00b
n00b


Joined: 22 May 2012
Posts: 14

PostPosted: Sun Jun 03, 2012 9:16 pm    Post subject: Reply with quote

mir ist aufgefallen, dass ich allgemein probleme hab mit gtk.
bei gnome-sudoku:
Code:
Traceback (most recent call last):
  File "/usr/bin/gnome-sudoku", line 41, in <module>
    import lib;
ImportError: No module named lib

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/gnome-sudoku", line 48, in <module>
    from gnome_sudoku.gnome_sudoku import start_game
ImportError: No module named gnome_sudoku.gnome_sudoku

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/gnome-sudoku", line 52, in <module>
    import gtk
ImportError: No module named gtk
Exception AttributeError: 'flush' in <__main__.SafeStdout object at 0x11b3410> ignored


und bei emerge gtk+
Code:
GISCAN Gdk-3.0.gir
/var/tmp/portage/x11-libs/gtk+-3.2.4-r1/work/gtk+-3.2.4/gdk/tmp-introspecteWpQRF/.libs/Gdk-3.0: error while loading shared libraries: libnvidia-tls.so.295.49: cannot open shared object file: No such file or directory
Command '['/var/tmp/portage/x11-libs/gtk+-3.2.4-r1/work/gtk+-3.2.4/gdk/tmp-introspecteWpQRF/Gdk-3.0', '--introspect-dump=/var/tmp/portage/x11-libs/gtk+-3.2.4-r1/work/gtk+-3.2.4/gdk/tmp-introspecteWpQRF/functions.txt,/var/tmp/portage/x11-libs/gtk+-3.2.4-r1/work/gtk+-3.2.4/gdk/tmp-introspecteWpQRF/dump.xml']' returned non-zero exit status 127
make[4]: *** [Gdk-3.0.gir] Fehler 1
make[4]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-3.2.4-r1/work/gtk+-3.2.4/gdk'
make[3]: *** [all-recursive] Fehler 1
make[3]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-3.2.4-r1/work/gtk+-3.2.4/gdk'
make[2]: *** [all] Fehler 2
make[2]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-3.2.4-r1/work/gtk+-3.2.4/gdk'
make[1]: *** [all-recursive] Fehler 1
make[1]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-3.2.4-r1/work/gtk+-3.2.4'
make: *** [all] Fehler 2
 * ERROR: x11-libs/gtk+-3.2.4-r1 failed (compile phase):
 *   emake failed


ich bin neu bei gentoo. hab zwar vorher schon eine linux-distribution benutzt, aber wirklich gut auskennen tu ich mich nicht. :) würd mich über hilfe freuen.
Back to top
View user's profile Send private message
fuchur
Guru
Guru


Joined: 12 Aug 2003
Posts: 578

PostPosted: Sun Jun 03, 2012 9:36 pm    Post subject: Reply with quote

Hi
Ohne das man weiss was du vorher gemacht hast ist das für mich schwer dir zu helfen. Nützlich Helfer bei gentoo
die du mal ausführen solltest
Code:
revdep-rebuild
Code:
python-updater

MfG
Back to top
View user's profile Send private message
g-moll
n00b
n00b


Joined: 22 May 2012
Posts: 14

PostPosted: Sun Jun 03, 2012 11:13 pm    Post subject: Reply with quote

fuchur wrote:
Ohne das man weiss was du vorher gemacht hast ist das für mich schwer dir zu helfen.

hmm. schwer zu sagen was ich vorher gemacht hab. ich hab vor kurzem noch openoffice-bin, gimp, supertux, supertuxracer und thunderbird installiert. außerdem noch andere sachen aber das is schwer alles aufzulisten wenn man nicht weiß wonach man genau suchen soll. die ganze reihenfolge hab ich sowiso nimma im kopf. außerdem hab ich noch probleme mim adobe flashplayer gehabt (mit nvidia-treiber). abgesehen von dem (bekannten) problem keinen vollbildmodus ohne fokus darauf zu haben (2. bildschirm mit extra x-screen) auch noch den fehler mit den schlumpf-videos (sehr interessanter farbfehler :)). nach deaktivierung der hardwarebeschleunigung ist aber soweit zumindest die farbe wieder normal.

sonst fällt mir jetzt aber auch nicht ein was noch sein könnte.

ach ja:
zu revdep-rebuild
Code:
* Configuring search environment for revdep-rebuild

 * Checking reverse dependencies
 * Packages containing binaries and libraries broken by a package update
 * will be emerged.

 * Collecting system binaries and libraries
 * Generated new 1_files.rr
 * Collecting complete LD_LIBRARY_PATH
 * Generated new 2_ldpath.rr
 * Checking dynamic linking consistency
[ 100% ]                 

 * Dynamic linking on your system is consistent... All done.


zu phyton-updater ist mir nur aufgefallen
Code:
* Starting Python Updater...
 * Main active version of Python:    3.2
 * Active version of Python 2:       2.7
 * Active version of Python 3:       3.2
 * Globally supported Python ABIs in installed repositories:
 *   gentoo:                         2.4 2.5 2.6 2.7 3.1 3.2 2.5-jython 2.7-pypy-1.7 2.7-pypy-1.8

allerdings benutze ich kernel 3.3.7. oder sind damit die python-versionen gemeint?

sonst rennt der updater gut durch.
Back to top
View user's profile Send private message
fuchur
Guru
Guru


Joined: 12 Aug 2003
Posts: 578

PostPosted: Sun Jun 03, 2012 11:37 pm    Post subject: Reply with quote

g-moll wrote:
...
zu phyton-updater ist mir nur aufgefallen
Code:
* Starting Python Updater...
 * Main active version of Python:    3.2
 * Active version of Python 2:       2.7
 * Active version of Python 3:       3.2
 * Globally supported Python ABIs in installed repositories:
 *   gentoo:                         2.4 2.5 2.6 2.7 3.1 3.2 2.5-jython 2.7-pypy-1.7 2.7-pypy-1.8

allerdings benutze ich kernel 3.3.7. oder sind damit die python-versionen gemeint?

sonst rennt der updater gut durch.
Wiso ist bei dir:
Code:
 Main active version of Python:    3.2
Main active version 3.2?
Wenn ich das richtig in Erinnerung habe wird 3.2 nicht für Main Version unterstützt. Das kannst du aber mit
Code:

eselect python list
und
eselect python set
ändern. Was du dann noch reparieren musst bzw. warum du 3.2 hattest da habe ich keine Ahnung, aber vielleicht
weiss das jemand anderes.

MfG
Back to top
View user's profile Send private message
fuchur
Guru
Guru


Joined: 12 Aug 2003
Posts: 578

PostPosted: Sun Jun 03, 2012 11:55 pm    Post subject: Reply with quote

Hi
g-moll wrote:
mir ist aufgefallen, dass ich allgemein probleme hab mit gtk.
bei gnome-sudoku:
Code:
Traceback (most recent call last):
  File "/usr/bin/gnome-sudoku", line 41, in <module>
    import lib;
ImportError: No module named lib

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/gnome-sudoku", line 48, in <module>
    from gnome_sudoku.gnome_sudoku import start_game
ImportError: No module named gnome_sudoku.gnome_sudoku

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/gnome-sudoku", line 52, in <module>
    import gtk
ImportError: No module named gtk
Exception AttributeError: 'flush' in <__main__.SafeStdout object at 0x11b3410> ignored

Exakt denn Fehler kann ich bei mir reproduzieren wenn ich mit eselect auf python 3.2 switche.
Switche ich zurück auf 2.7 funktioniert auch gnome-sudoku.

MfG
Back to top
View user's profile Send private message
g-moll
n00b
n00b


Joined: 22 May 2012
Posts: 14

PostPosted: Mon Jun 04, 2012 12:06 am    Post subject: Reply with quote

fuchur wrote:

Switche ich zurück auf 2.7 funktioniert auch gnome-sudoku.

ok. danke auf jeden fall schon einmal.

ich hab' auf 2.7 umgestellt. sudoku funktioniert jetzt bei mir auch. die anderen fehler bestehen nachwievor.
Back to top
View user's profile Send private message
fuchur
Guru
Guru


Joined: 12 Aug 2003
Posts: 578

PostPosted: Mon Jun 04, 2012 12:13 am    Post subject: Reply with quote

Hi
g-moll wrote:
...
und bei emerge gtk+
Code:
GISCAN Gdk-3.0.gir
/var/tmp/portage/x11-libs/gtk+-3.2.4-r1/work/gtk+-3.2.4/gdk/tmp-introspecteWpQRF/.libs/Gdk-3.0: error while loading shared libraries: libnvidia-tls.so.295.49: cannot open shared object file: No such file or directory
Command '['/var/tmp/portage/x11-libs/gtk+-3.2.4-r1/work/gtk+-3.2.4/gdk/tmp-introspecteWpQRF/Gdk-3.0', '--introspect-dump=/var/tmp/portage/x11-libs/gtk+-3.2.4-r1/work/gtk+-3.2.4/gdk/tmp-introspecteWpQRF/functions.txt,/var/tmp/portage/x11-libs/gtk+-3.2.4-r1/work/gtk+-3.2.4/gdk/tmp-introspecteWpQRF/dump.xml']' returned non-zero exit status 127
make[4]: *** [Gdk-3.0.gir] Fehler 1
make[4]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-3.2.4-r1/work/gtk+-3.2.4/gdk'
make[3]: *** [all-recursive] Fehler 1
make[3]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-3.2.4-r1/work/gtk+-3.2.4/gdk'
make[2]: *** [all] Fehler 2
make[2]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-3.2.4-r1/work/gtk+-3.2.4/gdk'
make[1]: *** [all-recursive] Fehler 1
make[1]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-3.2.4-r1/work/gtk+-3.2.4'
make: *** [all] Fehler 2
 * ERROR: x11-libs/gtk+-3.2.4-r1 failed (compile phase):
 *   emake failed


ich bin neu bei gentoo. hab zwar vorher schon eine linux-distribution benutzt, aber wirklich gut auskennen tu ich mich nicht. :) würd mich über hilfe freuen.

libnvidia-tls.so.295.49 gehört zu "x11-drivers/nvidia-drivers-295.49". Kannst ja mal ein
Code:
emerge -1 =x11-drivers/nvidia-drivers-295.49
ausführen.

MfG
Back to top
View user's profile Send private message
Max Steel
Advocate
Advocate


Joined: 12 Feb 2007
Posts: 2042
Location: My own world! I and Gentoo!

PostPosted: Mon Jun 04, 2012 7:30 am    Post subject: Reply with quote

fuchur wrote:
Wiso ist bei dir:
Code:
 Main active version of Python:    3.2
Main active version 3.2?
Wenn ich das richtig in Erinnerung habe wird 3.2 nicht für Main Version unterstützt.


Ich glaube mich erinnern zu können das dieses Problem dadurch kommt, das python3 momentan als Main Active von den aktuellen Stage3 ausgeliefert wird...
_________________
mfg
Steel
___________________
Sorry for my bad English.

Heim-PC: Intel i7-5820K, 32GB RAM, GTX 1080
Laptop: Intel Core i5-4300U, 16GB RAM, Intel Graphic
Arbeit-PC: Intel i5-3470S, 16GB RAM, Intel Graphic
Back to top
View user's profile Send private message
g-moll
n00b
n00b


Joined: 22 May 2012
Posts: 14

PostPosted: Mon Jun 04, 2012 11:28 am    Post subject: Reply with quote

fuchur wrote:
Hi
libnvidia-tls.so.295.49 gehört zu "x11-drivers/nvidia-drivers-295.49". Kannst ja mal ein
Code:
emerge -1 =x11-drivers/nvidia-drivers-295.49
ausführen.
MfG


das hab ich gestern noch erledigt und jetzt funktioniert gtk+ zumindest einmal zu installieren.

bei 'emerge gmusicbrowser' (bei paket 'dev-perl/gtk2-perl-1.242.0') hat sich nichts verändert.
Back to top
View user's profile Send private message
fuchur
Guru
Guru


Joined: 12 Aug 2003
Posts: 578

PostPosted: Tue Jun 05, 2012 4:37 pm    Post subject: Reply with quote

Hi
Max Steel wrote:
...
Ich glaube mich erinnern zu können das dieses Problem dadurch kommt, das python3 momentan als Main Active von den aktuellen Stage3 ausgeliefert wird...

Wie kann denn so etwas passieren. Python3 wird von gentoo nicht voll unterstützt bzw. viele Programme laufen nur mit Python2. Ist natürlich eine tolle Idee
und werden sicherlich nicht nur gentoo Neulinge mit auf die Fresse fallen :(.

@ g-moll
Wenn dir hier keiner helfen kann wuerde ich einen Bugreport machen. Vergesse nicht "/var/tmp/portage/dev-perl/gtk2-perl-1.242.0/temp/build.log" anzuhängen.
Vorher kannst du ja mal eine andere Version probieren. Pack mal folgendes in deine "/etc/portage/package.keywords/my-keywords"
Code:
=dev-perl/gtk2-perl-1.244.0
und versuche dann gtk2-perl zu installieren. Wenn es auch nicht klappt kannst du es in
"/etc/portage/package.keywords/my-keywords" wider entfernen, und mach dann halt einen Bugreport.

MfG
Back to top
View user's profile Send private message
g-moll
n00b
n00b


Joined: 22 May 2012
Posts: 14

PostPosted: Tue Jun 05, 2012 5:15 pm    Post subject: Reply with quote

fuchur wrote:

@ g-moll
Vorher kannst du ja mal eine andere Version probieren. Pack mal folgendes in deine "/etc/portage/package.keywords/my-keywords"
Code:
=dev-perl/gtk2-perl-1.244.0
und versuche dann gtk2-perl zu installieren.


Das führt bei mir zu dem gleichen Fehler. :(
Naja. Danke auf jeden Fall.

kann es nicht sein, dass irgendwelche einstellungen zu den zeichentabellen usw zu dem fehler führen? nur so ein schuss aus der hüfte.
"Malformed UTF-8 character (unexpected end of string) in length at tools/podifystockitems.pl line 52."
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3627
Location: Germany

PostPosted: Tue Jun 05, 2012 5:47 pm    Post subject: Reply with quote

Eventuell könnte es am gesetzten
Code:
LANG="de_DE"
laut "emerge --info" legen?!
Versuche es doch mal mit einer utf-8 locale

g-moll wrote:
ich hab' auf 2.7 umgestellt.
Sofern nach der umstellung noch nicht geschehen - nicht vergessen
Code:
python-updater
durchlaufen zu lassen.
Back to top
View user's profile Send private message
g-moll
n00b
n00b


Joined: 22 May 2012
Posts: 14

PostPosted: Tue Jun 05, 2012 7:30 pm    Post subject: Reply with quote

Josef.95 wrote:
Eventuell könnte es am gesetzten
Code:
LANG="de_DE"
laut "emerge --info" legen?!
Versuche es doch mal mit einer utf-8 locale


locale -a
Code:
C
de_DE
de_DE@euro
de_DE.iso88591
de_DE.iso885915@euro
de_DE.utf8
deutsch
en_GB
en_GB.utf8
en_US
en_US.iso88591
en_US.utf8
german
POSIX

leider auch kein erfolg. :cry:
Back to top
View user's profile Send private message
fuchur
Guru
Guru


Joined: 12 Aug 2003
Posts: 578

PostPosted: Tue Jun 05, 2012 8:29 pm    Post subject: Reply with quote

Hi

Kannst ja auch einmal
Code:
perl-cleaner --all
durchlaufen lassen. Glaube zwar nicht das es hilft, macht aber auch nix kaputt.

MfG
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3627
Location: Germany

PostPosted: Tue Jun 05, 2012 8:30 pm    Post subject: Reply with quote

Hm, du meinst du hast nun wirklich eine utf-8 locale gesetzt, so das portage sie auch nutzt?
Siehe mit
Code:
# emerge --info | grep LANG


Teste es temporär bitte mal via
Code:
# LC_ALL="en_US.UTF-8" emerge -av1 =dev-perl/gtk2-perl-1.242.0
Back to top
View user's profile Send private message
g-moll
n00b
n00b


Joined: 22 May 2012
Posts: 14

PostPosted: Tue Jun 05, 2012 8:54 pm    Post subject: Reply with quote

Josef.95 wrote:
Hm, du meinst du hast nun wirklich eine utf-8 locale gesetzt, so das portage sie auch nutzt?
Siehe mit
Code:
# emerge --info | grep LANG


Teste es temporär bitte mal via
Code:
# LC_ALL="en_US.UTF-8" emerge -av1 =dev-perl/gtk2-perl-1.242.0


tja. der anfänger. nein. genutzt hat portage die locale nicht.

und oh-ho... hohoho! ahahaha! muahahaha! (<- verrücktes lachen!) :mrgreen: so funktionierts! danke vielmals an alle!!! mit ein grund weshalb ich gnu/linux so gerne mag: kompetente und nette hilfe! hab bis jetzt erst einen bugreport/foreneintrag/... gelesen auf den mit herumgeschimpfe geantwortet worden ist. und das ist bei meinen regelmäßigen ausflügen in doch nicht so ganz optimales verhalten in der kommandozeile garnicht so selten!
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3627
Location: Germany

PostPosted: Thu Jun 07, 2012 9:56 am    Post subject: Reply with quote

Na prima.
Vermutlich ist es aber besser global eine UTF-8 locale zu setzen, anstatt LANG="de_DE" zu nutzen.
Sofern von dir nicht schon woanders gesetzt sollte diese zb mit eselect recht einfach umschaltbar sein - siehe
Code:
# eselect locale
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum